# zsh-autosuggestions

> [Fish](http://fishshell.com/)-like fast/unobtrusive autosuggestions for zsh.

## Installation
```
    $ git clone git://github.com/tarruda/zsh-autosuggestions ~/.zsh-autosuggestions
    $ bash ~/.zsh-autosuggestions/install
```

If you do not have bash, please run it with sh :

`
sh ~/.zsh-autosuggestions/install
`

Any widget that moves the cursor to the right(forward-word, forward-char...)
will accept parts of the suggested text. For example, vi-mode users can do
this:

```sh
# Accept suggestions without leaving insert mode
bindkey '^f' vi-forward-word
# or
bindkey '^f' vi-forward-blank-word
```

Emacs-mode users can simply use alt+f which is bound to forward-word

The [zsh-history-substring-search](https://github.com/zsh-users/zsh-history-substring-search)
plugin is also recommended.

## Configuration

You may override default global config variables after plugin load.

- `AUTOSUGGESTION_HIGHLIGHT_COLOR`: suggestion highlight color, default is `'fg=8'`.
- `AUTOSUGGESTION_HIGHLIGHT_CURSOR`: highlight word after cursor or not. Must be integer value `1` or `0`, default is `1`.
- `AUTOSUGGESTION_ACCEPT_RIGHT_ARROW`: complete entire suggestion with right arrow. Must be integer value `1` or `0`, default is `0` (right arrow completes one letter at a time).

## Known Issues

 - `COMPLETION_WAITING_DOTS`: setting this to `true` is known to cause problems when attempting to autocomplete with <kbd>TAB</kbd>
